For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet transactions
      • POSTCreate a transaction
      • POSTCreate multiple transactions
      • GETGet a transaction
      • DELDelete a transaction
      • PATCHUpdate a transaction
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementTransactions

Create a transaction

POST
/transactions
POST
/v1/transactions
$curl -X POST https://api.sandbox.monite.com/v1/transactions \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "amount": 1,
> "currency": "AED",
> "merchant_amount": 1,
> "merchant_currency": "AED",
> "merchant_location": "Berlin, Germany",
> "merchant_name": "Acme Inc.",
> "payment_method": {
> "type": "card",
> "details": {
> "brand": "brand",
> "card_type": "credit",
> "expiry_month": 1,
> "expiry_year": 1,
> "last4": "last4"
> }
> },
> "type": "capture"
>}'
1{
2 "id": "id",
3 "amount": 1,
4 "currency": "AED",
5 "entity_id": "entity_id",
6 "merchant_amount": 1,
7 "merchant_currency": "AED",
8 "merchant_location": "Berlin, Germany",
9 "merchant_name": "Acme Inc.",
10 "payment_method": {
11 "type": "card",
12 "details": {
13 "brand": "brand",
14 "card_type": "credit",
15 "expiry_month": 1,
16 "expiry_year": 1,
17 "last4": "last4"
18 }
19 },
20 "started_at": "2024-01-15T09:30:00Z",
21 "type": "capture",
22 "description": "description",
23 "entity_user_id": "entity_user_id",
24 "external_id": "external_id",
25 "partner_metadata": {
26 "key": "value"
27 },
28 "receipt_id": "receipt_id",
29 "status": "created"
30}
Was this page helpful?
Previous

Create multiple transactions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
amountintegerRequired

The transaction amount in minor units. Positive values for in-flow, negative values for out-flow.

currencyenumRequired
ISO currency code.
merchant_amountintegerRequired
Original merchant transaction amount in minor units.
merchant_currencyenumRequired

ISO currency code for the merchant_amount.

merchant_locationstringRequired<=128 characters
The merchant location.
merchant_namestringRequired<=128 characters
The merchant name.
payment_methodobjectRequired
typeenumRequired
The nature of the transaction.
descriptionstringOptional<=255 characters

A human-readable description of the transaction.

entity_user_idstringOptionalformat: "uuid"
ID of the entity user who made the transaction, if applicable.
external_idstringOptional<=128 characters
External identifier for idempotency, if provided by the source system.
partner_metadatamap from strings to stringsOptional

Extensible key-value pairs for storing additional custom information for partner needs.

started_atdatetimeOptional
Date and time when the transaction was initiated.
statusenumOptional
The current processing status of the transaction.

Response

Successful Response
idstringformat: "uuid"

A unique Monite-generated ID assigned to this transaction.

amountinteger

The transaction amount in minor units. Positive values for in-flow, negative values for out-flow.

currencyenum
ISO currency code.
entity_idstringformat: "uuid"
ID of the entity that owns this resource.
merchant_amountinteger
Original merchant transaction amount in minor units.
merchant_currencyenum

ISO currency code for the merchant_amount.

merchant_locationstring<=128 characters
The merchant location.
merchant_namestring<=128 characters
The merchant name.
payment_methodobject
started_atdatetime
Date and time when the transaction was initiated.
typeenum
The nature of the transaction.
descriptionstring<=255 characters

A human-readable description of the transaction.

entity_user_idstringformat: "uuid"
ID of the entity user who made the transaction, if applicable.
external_idstring<=128 characters
External identifier for idempotency, if provided by the source system.
partner_metadatamap from strings to strings

Extensible key-value pairs for storing additional custom information for partner needs.

receipt_idstring

ID of the related receipt from payables service, if any. This field is read-only and system-managed.

statusenum
The current processing status of the transaction.

Errors

400
Post Transactions Request Bad Request Error
401
Post Transactions Request Unauthorized Error
403
Post Transactions Request Forbidden Error
422
Post Transactions Request Unprocessable Entity Error
500
Post Transactions Request Internal Server Error